#!/bin/sh

duration=10; 
nodes=2;
node1=$1
node2=$2
login=$3

auth-cli -u $login
expName="sensevid2nodes";
firmware="/senslab/users/"$login"/iot-lab/parts/contiki/examples/iotlab/sensevid/sensevid2nodes.iotlab-m3"

experiment-cli stop
killall python #SAFEGUARD
experiment-cli submit -n $expName -d $duration -l grenoble,m3,$node1+$node2,$firmware> id.txt
exp_id=`awk '{ print $2 }'  id.txt`
echo CALL wait for $exp_id
experiment-cli wait -i $exp_id
echo OK running experiment ...
serial_aggregator  


